import React from 'react';
import { AlgorithmContext } from './types';
declare type Props = {
    steps: {
        [key: string]: string;
    };
    initialStep: string;
    algorithm: (step: string, result: any) => string | string[];
};
declare type State = {
    steps: {
        [key: string]: string;
    };
    currentSteps: string[];
};
declare const _default: (context: React.Context<AlgorithmContext>) => {
    new (props: Props): {
        finishStep: (step: string, result: any, onStepFinished?: any) => void;
        render(): JSX.Element;
        setState<K extends "steps" | "currentSteps">(state: State | ((prevState: Readonly<State>, props: Readonly<Props>) => State | Pick<State, K> | null) | Pick<State, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<Props>;
        state: Readonly<State>;
        context: any;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
};
export default _default;
